package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectRecordConvert;
import com.docus.server.dto.scheduling.management.SchCollectRecordDTO;
import com.docus.server.entity.scheduling.management.SchCollectRecord;
import com.docus.server.infrastructure.dao.ISchCollectRecordDao;
import com.docus.server.service.ISchCollectRecordService;
import com.docus.server.vo.scheduling.management.SchCollectRecordVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集记录表 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchCollectRecordServiceImpl implements ISchCollectRecordService {
    @Resource
    private ISchCollectRecordDao iSchCollectRecordDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectRecordVO findById(String id) {
        return SchCollectRecordConvert.INSTANCE.convertVO(iSchCollectRecordDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectRecordVO> search(SearchRequest searchRequest) {
        return SchCollectRecordConvert.INSTANCE.convertVO(iSchCollectRecordDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schCollectRecordDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectRecordDTO schCollectRecordDTO) {
        SchCollectRecord schCollectRecord = SchCollectRecordConvert.INSTANCE.convertDO(schCollectRecordDTO);
        return iSchCollectRecordDao.add(schCollectRecord);
    }

    /**
     * 编辑
     *
     * @param schCollectRecordDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectRecordDTO schCollectRecordDTO) {
        SchCollectRecord schCollectRecord = SchCollectRecordConvert.INSTANCE.convertDO(schCollectRecordDTO);
        return iSchCollectRecordDao.edit(schCollectRecord);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectRecordDao.delete(ids);
    }
}

